GNU bug report logs - #50179
[PATCH] Add support for "bright" ANSI colors to ansi-color and term-mode

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Jim Porter <jporterbugs@HIDDEN>; Keywords: patch; dated Tue, 24 Aug 2021 04:04:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Severity set to 'wishlist' from 'normal' Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 50179 <at> debbugs.gnu.org:


Received: (at 50179) by debbugs.gnu.org; 19 Sep 2021 14:46:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 19 10:46:04 2021
Received: from localhost ([127.0.0.1]:39497 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mRy4x-0003rl-Rd
	for submit <at> debbugs.gnu.org; Sun, 19 Sep 2021 10:46:04 -0400
Received: from quimby.gnus.org ([95.216.78.240]:41882)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mRy4t-0003r4-ED
 for 50179 <at> debbugs.gnu.org; Sun, 19 Sep 2021 10:46:02 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=vjeYVf6DbEcW0OWVysWgUF/o0l8s7+Ml6mW7ONN7L2g=; b=SWbaiaW4des9InPMMJpFGfrjgd
 2s5/V/hBhmned3YfhHt98s4oJcqErPag+WKbXWTMEIATLtI8AlYuXr/jR8iDPR8qjs0i1bH/S8uix
 px3gDl0SCFyXUjj/jwSi/6E6vPYHhAjwBDbQ41E2UDESpu+laLgT0rf1hqTP0y2hA5mY=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mRy4k-0007zG-AH; Sun, 19 Sep 2021 16:45:52 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jim Porter <jporterbugs@HIDDEN>
Subject: Re: bug#50179: [UPDATED PATCH] Add support for "bright" ANSI colors
 to ansi-color and term-mode
References: <CANh=_JGtOM=1W7fg2EANrdMdGYdfAGjb21kyCb6avJ+gDbz1Dg@HIDDEN>
 <838s0rvyfu.fsf@HIDDEN>
 <CANh=_JEJx-3S7S95OBKoeRff2kaaVJKBJNGy+vaBNcDb47Q0NA@HIDDEN>
 <83zgt6vi43.fsf@HIDDEN>
 <CANh=_JFtvGMxxidbA5QsB8-GMwJEuV5e3p_=sTZ3OaNG5qwsEA@HIDDEN>
 <CANh=_JG5Opw5n6_t__7YBeGrEvDL2T=Q=ftizTS4motX9cNF0A@HIDDEN>
 <87a6l5k9xr.fsf@HIDDEN>
 <CANh=_JGp8YozgV1=72sU9MBkE1Be5DhdOt8p5KH3g6XJJigQhQ@HIDDEN>
 <87lf4p3210.fsf@HIDDEN> <831r6hv51r.fsf@HIDDEN>
 <87h7fc2vd4.fsf@HIDDEN>
 <d1046ded-16f9-1aa1-0bbe-b92ea962b86b@HIDDEN>
Date: Sun, 19 Sep 2021 16:45:48 +0200
In-Reply-To: <d1046ded-16f9-1aa1-0bbe-b92ea962b86b@HIDDEN> (Jim Porter's
 message of "Sat, 18 Sep 2021 11:58:12 -0700")
Message-ID: <871r5kpqsj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Jim Porter <jporterbugs@HIDDEN> writes: > There's one
 further
 enhancement that might make sense here: currently, > color values are set
 via a vector of strings for `ansi-color', whereas > they're set via faces
 for `term-mode'. Would it be b [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50179
Cc: Eli Zaretskii <eliz@HIDDEN>, 50179 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Jim Porter <jporterbugs@HIDDEN> writes:

> There's one further enhancement that might make sense here: currently,
> color values are set via a vector of strings for `ansi-color', whereas
> they're set via faces for `term-mode'. Would it be better to use faces
> for `ansi-color' too? Perhaps they should even be the *same* faces; is
> there any reason an Emacs user (or package) would want ANSI colors to
> be different between `ansi-color' and `term-mode'? If so, maybe each
> `term-color-FOO' face should inherit from the (hypothetical)
> corresponding `ansi-color-FOO' face?

It seems like term.el was reworked in

commit ae4969c2d69a74c896eb49c9a34aeb645ffed082
Author:     Julien Danjou <julien@HIDDEN>
AuthorDate: Thu Jun 28 12:40:24 2012 +0200

to use faces instead of colour names, but ansi-color wasn't.  Looking at
the code in both ansi-color and term, I think it would indeed make sense
to rework ansi-color to use faces, too, and inheriting like you suggest
makes sense to me.  (We generally prefer using faces instead of colour
names these days.)  But:

> However, maybe there's a particular reason why `ansi-color' works this
> way that I'm not aware of. If the current way is best, that's fine by
> me too. Otherwise, just let me know and I can update the patches to
> include `ansi-color-FOO' faces.

I'm not really very familiar with ansi-color.el.  Does anybody else have
an opinion here?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50179; Package emacs. Full text available.

Message received at 50179 <at> debbugs.gnu.org:


Received: (at 50179) by debbugs.gnu.org; 18 Sep 2021 18:58:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 18 14:58:25 2021
Received: from localhost ([127.0.0.1]:36877 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mRfXc-0002OD-6W
	for submit <at> debbugs.gnu.org; Sat, 18 Sep 2021 14:58:25 -0400
Received: from mail-pj1-f51.google.com ([209.85.216.51]:45872)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jporterbugs@HIDDEN>) id 1mRfXY-0002Nz-OK
 for 50179 <at> debbugs.gnu.org; Sat, 18 Sep 2021 14:58:22 -0400
Received: by mail-pj1-f51.google.com with SMTP id
 mv7-20020a17090b198700b0019c843e7233so6042415pjb.4
 for <50179 <at> debbugs.gnu.org>; Sat, 18 Sep 2021 11:58:20 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=subject:to:cc:references:from:message-id:date:mime-version
 :in-reply-to:content-language;
 bh=dRJB+r9zNZtCEB9FYrmC4NGtzppnY2pZGTmbJ55mYdw=;
 b=WlkWOIp+qWJ8oS+9pmiChWOstNj87K5zmdkh3tMAn27NuIP5jCBreUiggAhQsW4Gyi
 cMgkITIMsF5LstzuK0UOotKc6Zc3exBidN6EV7TCOLdg+Y9Pp831KBRteMbOe5hEix1f
 /CUzFHIOGjD9yfRb3PKsirka8mx/+CWYtCgCBu468d6Xb6G3L4Vjun9eYxdywhdu1ZJ8
 G+uCNYFFTiLYwjja7ocEMTDduN7wtLcXr/zTm8rrgpDspk07usokrfyVvIFkKIYqzI8w
 /+w6O14ghxmDRcwC4lDomDiVWpHqGZiibs6uF+34f0ZL0rhn6mwoIZwM2XrmfpXfDF0W
 h97Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:subject:to:cc:references:from:message-id:date
 :mime-version:in-reply-to:content-language;
 bh=dRJB+r9zNZtCEB9FYrmC4NGtzppnY2pZGTmbJ55mYdw=;
 b=lYGGVjB55Sqs6zNEMrps3iCe+YhO59+3h5q0eZJECVBmk7q0AmQi5I6hXw3Up1hwGy
 1eUA796WMOLmTbVkC3XppZl3Y7EFN8U8YRuGjRXnrtuAGZu1a2tp+UhflcQD/w8en4d6
 xiPK3EU878gKiNdc6yaJYUG1vFioBJ6uG1XivkphnyoR1D1zNnMFMqS6eyXxi5I5rlB6
 gy+idLilbWqBXhPVPOscVCNYnT5UtL9Lmdx9Pfc9Ez3uZFa/EM/+S8hEFX28c4T79SsK
 ZqTgrQlKhjVmfSvuR980sVqFhoZWIhG8uT21UDCA5pF8KWsoxys/BS+gtA44lWIG92Wl
 zUaw==
X-Gm-Message-State: AOAM531FOHCs/TaIX/tm1kJ2PfpajHFZ54ksgit9a9IV6tTwnj1IlqaL
 e3gbYmmU07L+cDHsuVw5cqLK1rV33pI=
X-Google-Smtp-Source: ABdhPJzz14ra0DCosUdoPwNw4XUsA7Q/D4NNrJzWMqYtSO6OMNiO59cQAzUk6BR7dUJnwlD58ZINPw==
X-Received: by 2002:a17:90b:4c52:: with SMTP id
 np18mr27797242pjb.157.1631991494751; 
 Sat, 18 Sep 2021 11:58:14 -0700 (PDT)
Received: from [192.168.1.2] (cpe-76-168-148-233.socal.res.rr.com.
 [76.168.148.233])
 by smtp.googlemail.com with ESMTPSA id mv6sm8690475pjb.16.2021.09.18.11.58.13
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sat, 18 Sep 2021 11:58:14 -0700 (PDT)
Subject: Re: bug#50179: [UPDATED PATCH] Add support for "bright" ANSI colors
 to ansi-color and term-mode
To: Lars Ingebrigtsen <larsi@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
References: <CANh=_JGtOM=1W7fg2EANrdMdGYdfAGjb21kyCb6avJ+gDbz1Dg@HIDDEN>
 <838s0rvyfu.fsf@HIDDEN>
 <CANh=_JEJx-3S7S95OBKoeRff2kaaVJKBJNGy+vaBNcDb47Q0NA@HIDDEN>
 <83zgt6vi43.fsf@HIDDEN>
 <CANh=_JFtvGMxxidbA5QsB8-GMwJEuV5e3p_=sTZ3OaNG5qwsEA@HIDDEN>
 <CANh=_JG5Opw5n6_t__7YBeGrEvDL2T=Q=ftizTS4motX9cNF0A@HIDDEN>
 <87a6l5k9xr.fsf@HIDDEN>
 <CANh=_JGp8YozgV1=72sU9MBkE1Be5DhdOt8p5KH3g6XJJigQhQ@HIDDEN>
 <87lf4p3210.fsf@HIDDEN> <831r6hv51r.fsf@HIDDEN> <87h7fc2vd4.fsf@HIDDEN>
From: Jim Porter <jporterbugs@HIDDEN>
Message-ID: <d1046ded-16f9-1aa1-0bbe-b92ea962b86b@HIDDEN>
Date: Sat, 18 Sep 2021 11:58:12 -0700
MIME-Version: 1.0
In-Reply-To: <87h7fc2vd4.fsf@HIDDEN>
Content-Type: multipart/mixed; boundary="------------B035213050D3DF1A7BA02CC4"
Content-Language: en-US
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50179
Cc: 50179 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is a multi-part message in MIME format.
--------------B035213050D3DF1A7BA02CC4
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

On 8/26/2021 6:23 AM, Lars Ingebrigtsen wrote:
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
>> I think we have to revert and wait for the paperwork to run to
>> completion.
> 
> OK; now done.

Ok, my paperwork is complete. I've attached updated patches that should 
apply cleanly again (I had to fix the merge to account for changes to 
NEWS). I also rolled my fix to the term.el tests and Eli's fix to 
include version info in the new term faces into the second patch.

There's one further enhancement that might make sense here: currently, 
color values are set via a vector of strings for `ansi-color', whereas 
they're set via faces for `term-mode'. Would it be better to use faces 
for `ansi-color' too? Perhaps they should even be the *same* faces; is 
there any reason an Emacs user (or package) would want ANSI colors to be 
different between `ansi-color' and `term-mode'? If so, maybe each 
`term-color-FOO' face should inherit from the (hypothetical) 
corresponding `ansi-color-FOO' face?

However, maybe there's a particular reason why `ansi-color' works this 
way that I'm not aware of. If the current way is best, that's fine by me 
too. Otherwise, just let me know and I can update the patches to include 
`ansi-color-FOO' faces.

--------------B035213050D3DF1A7BA02CC4
Content-Type: text/plain; charset=UTF-8;
 name="0001-Add-support-for-bright-ANSI-colors-in-ansi-color.patch"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename*0="0001-Add-support-for-bright-ANSI-colors-in-ansi-color.patch"
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--------------B035213050D3DF1A7BA02CC4
Content-Type: text/plain; charset=UTF-8;
 name="0002-Add-support-for-bright-ANSI-colors-in-term-mode.patch"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename*0="0002-Add-support-for-bright-ANSI-colors-in-term-mode.patch"
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=
--------------B035213050D3DF1A7BA02CC4--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50179; Package emacs. Full text available.

Message received at 50179 <at> debbugs.gnu.org:


Received: (at 50179) by debbugs.gnu.org; 26 Aug 2021 13:23:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 26 09:23:17 2021
Received: from localhost ([127.0.0.1]:48582 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mJFLg-0000Lm-Pa
	for submit <at> debbugs.gnu.org; Thu, 26 Aug 2021 09:23:16 -0400
Received: from quimby.gnus.org ([95.216.78.240]:47272)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mJFLe-0000LY-U0
 for 50179 <at> debbugs.gnu.org; Thu, 26 Aug 2021 09:23:15 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=/swpp63Xee38uaeEEiASjTBx9tGb/5oNE7IFz9jNdUs=; b=HgBMJOkA8Ng9AKm6lDdJ2y4z6f
 5cowPF1h7ULMdgsf7BHptES8PB+U2w0q8SBnr/utkf/XDUhZavVCt4K04rySUYwGFd4XAXkWHItVP
 +pWrf/D+//RWziS+lnM6NoMlCPRA9/LjP2QROrMs/549tFr55vGaT/7OroDUJ5KgKTkQ=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mJFLU-00017f-2N; Thu, 26 Aug 2021 15:23:08 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#50179: [PATCH] Add support for "bright" ANSI colors to
 ansi-color and term-mode
References: <CANh=_JGtOM=1W7fg2EANrdMdGYdfAGjb21kyCb6avJ+gDbz1Dg@HIDDEN>
 <838s0rvyfu.fsf@HIDDEN>
 <CANh=_JEJx-3S7S95OBKoeRff2kaaVJKBJNGy+vaBNcDb47Q0NA@HIDDEN>
 <83zgt6vi43.fsf@HIDDEN>
 <CANh=_JFtvGMxxidbA5QsB8-GMwJEuV5e3p_=sTZ3OaNG5qwsEA@HIDDEN>
 <CANh=_JG5Opw5n6_t__7YBeGrEvDL2T=Q=ftizTS4motX9cNF0A@HIDDEN>
 <87a6l5k9xr.fsf@HIDDEN>
 <CANh=_JGp8YozgV1=72sU9MBkE1Be5DhdOt8p5KH3g6XJJigQhQ@HIDDEN>
 <87lf4p3210.fsf@HIDDEN> <831r6hv51r.fsf@HIDDEN>
Date: Thu, 26 Aug 2021 15:23:03 +0200
In-Reply-To: <831r6hv51r.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 25 Aug
 2021 19:54:08 +0300")
Message-ID: <87h7fc2vd4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > I think we have to
 revert and wait for the paperwork to run to > completion. OK; now done. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50179
Cc: jporterbugs@HIDDEN, 50179 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

> I think we have to revert and wait for the paperwork to run to
> completion.

OK; now done.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50179; Package emacs. Full text available.

Message received at 50179 <at> debbugs.gnu.org:


Received: (at 50179) by debbugs.gnu.org; 25 Aug 2021 16:54:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 12:54:17 2021
Received: from localhost ([127.0.0.1]:47527 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIwAL-0000yi-6T
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 12:54:17 -0400
Received: from eggs.gnu.org ([209.51.188.92]:56166)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mIwAJ-0000yV-Lb
 for 50179 <at> debbugs.gnu.org; Wed, 25 Aug 2021 12:54:16 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53568)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mIwAE-0005S5-9u; Wed, 25 Aug 2021 12:54:10 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1945
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mIwAD-0005e8-PG; Wed, 25 Aug 2021 12:54:10 -0400
Date: Wed, 25 Aug 2021 19:54:08 +0300
Message-Id: <831r6hv51r.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87lf4p3210.fsf@HIDDEN> (message from Lars Ingebrigtsen on Wed, 
 25 Aug 2021 18:46:51 +0200)
Subject: Re: bug#50179: [PATCH] Add support for "bright" ANSI colors to
 ansi-color and term-mode
References: <CANh=_JGtOM=1W7fg2EANrdMdGYdfAGjb21kyCb6avJ+gDbz1Dg@HIDDEN>
 <838s0rvyfu.fsf@HIDDEN>
 <CANh=_JEJx-3S7S95OBKoeRff2kaaVJKBJNGy+vaBNcDb47Q0NA@HIDDEN>
 <83zgt6vi43.fsf@HIDDEN>
 <CANh=_JFtvGMxxidbA5QsB8-GMwJEuV5e3p_=sTZ3OaNG5qwsEA@HIDDEN>
 <CANh=_JG5Opw5n6_t__7YBeGrEvDL2T=Q=ftizTS4motX9cNF0A@HIDDEN>
 <87a6l5k9xr.fsf@HIDDEN>
 <CANh=_JGp8YozgV1=72sU9MBkE1Be5DhdOt8p5KH3g6XJJigQhQ@HIDDEN>
 <87lf4p3210.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50179
Cc: jporterbugs@HIDDEN, 50179 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  50179 <at> debbugs.gnu.org
> Date: Wed, 25 Aug 2021 18:46:51 +0200
> 
> > I contacted assign@ to get it updated, and I don't foresee any
> > problems, but you never know with companies. If the maintainers are ok
> > with the patch being in-tree despite this, then I'm ok with it too; I
> > just wanted to be sure everyone was aware of the situation.
> 
> Hm...  perhaps the best thing to do would be to revert the two patches
> while waiting for the paperwork to be finalised.  On the other hand,
> that's more churn in the VC.  Uhm...  I'm not sure whether we have a
> policy here.  Eli?

I think we have to revert and wait for the paperwork to run to
completion.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50179; Package emacs. Full text available.

Message received at 50179 <at> debbugs.gnu.org:


Received: (at 50179) by debbugs.gnu.org; 25 Aug 2021 16:47:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 12:47:04 2021
Received: from localhost ([127.0.0.1]:47519 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIw3M-0000M9-15
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 12:47:04 -0400
Received: from quimby.gnus.org ([95.216.78.240]:38860)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mIw3K-0000Gz-JS
 for 50179 <at> debbugs.gnu.org; Wed, 25 Aug 2021 12:47:03 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=BQj1DiJWQZgxiplKgmt1CWia5/piqNUcwfof1aC5q4k=; b=AJBDt3jyZzMJQ393uxX5kb42Ul
 XhiPf30UF4fH5dx/T+Y2X41pTfetV0YNF0ZlkR3bvenGO//X5bQrOt63FjTJaW7/WiogZeH4vGAH3
 2bwMtUY3wM62k5hUpZc76LL/E8ZS7bMbhaYJ7/jXzDBNhwa7QHFN0Q/fYaYOnciZoCUA=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mIw39-0006j3-MF; Wed, 25 Aug 2021 18:46:55 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jim Porter <jporterbugs@HIDDEN>
Subject: Re: bug#50179: [PATCH] Add support for "bright" ANSI colors to
 ansi-color and term-mode
References: <CANh=_JGtOM=1W7fg2EANrdMdGYdfAGjb21kyCb6avJ+gDbz1Dg@HIDDEN>
 <838s0rvyfu.fsf@HIDDEN>
 <CANh=_JEJx-3S7S95OBKoeRff2kaaVJKBJNGy+vaBNcDb47Q0NA@HIDDEN>
 <83zgt6vi43.fsf@HIDDEN>
 <CANh=_JFtvGMxxidbA5QsB8-GMwJEuV5e3p_=sTZ3OaNG5qwsEA@HIDDEN>
 <CANh=_JG5Opw5n6_t__7YBeGrEvDL2T=Q=ftizTS4motX9cNF0A@HIDDEN>
 <87a6l5k9xr.fsf@HIDDEN>
 <CANh=_JGp8YozgV1=72sU9MBkE1Be5DhdOt8p5KH3g6XJJigQhQ@HIDDEN>
Date: Wed, 25 Aug 2021 18:46:51 +0200
In-Reply-To: <CANh=_JGp8YozgV1=72sU9MBkE1Be5DhdOt8p5KH3g6XJJigQhQ@HIDDEN>
 (Jim Porter's message of "Wed, 25 Aug 2021 09:41:52 -0700")
Message-ID: <87lf4p3210.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Jim Porter <jporterbugs@HIDDEN> writes: > Oops, I ran the
 tests locally, but I think I forgot to rebuild > term.elc, so naturally the
 tests passed without needing any changes. > Here's a patch. Thanks. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50179
Cc: Eli Zaretskii <eliz@HIDDEN>, 50179 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Jim Porter <jporterbugs@HIDDEN> writes:

> Oops, I ran the tests locally, but I think I forgot to rebuild
> term.elc, so naturally the tests passed without needing any changes.
> Here's a patch.

Thanks.

> However, I just want to be sure it's ok for these patches to merge. As
> mentioned in the original message, my copyright assignment is
> currently out of date.

Sorry; I did read that yesterday, but today I'd completely forgotten it
again -- I did mean to wait until the paperwork was sorted.

> I contacted assign@ to get it updated, and I don't foresee any
> problems, but you never know with companies. If the maintainers are ok
> with the patch being in-tree despite this, then I'm ok with it too; I
> just wanted to be sure everyone was aware of the situation.

Hm...  perhaps the best thing to do would be to revert the two patches
while waiting for the paperwork to be finalised.  On the other hand,
that's more churn in the VC.  Uhm...  I'm not sure whether we have a
policy here.  Eli?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50179; Package emacs. Full text available.

Message received at 50179 <at> debbugs.gnu.org:


Received: (at 50179) by debbugs.gnu.org; 25 Aug 2021 16:42:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 12:42:19 2021
Received: from localhost ([127.0.0.1]:47511 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIvyh-00070L-2t
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 12:42:19 -0400
Received: from mail-ua1-f53.google.com ([209.85.222.53]:34455)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jporterbugs@HIDDEN>) id 1mIvya-000704-JT
 for 50179 <at> debbugs.gnu.org; Wed, 25 Aug 2021 12:42:13 -0400
Received: by mail-ua1-f53.google.com with SMTP id l24so94298uai.1
 for <50179 <at> debbugs.gnu.org>; Wed, 25 Aug 2021 09:42:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=k/1ENmVIu2xqf1ZtP+UC1hKlDuGoNa2B3DCWR6Z9iDQ=;
 b=VZsE5NwsdkuG9mZQl+8Z3jo+VcAFgg4Aw11KAU8zbPQ6zrGZ48Mqs2z5j47EjqG+aY
 JWDrXiiBOvHyAYqN7O+AneAOQI7DHWxpGYLMN8u61dQ1vNTFgZNT6xSEMnN2V7sZodye
 ilv8aTGPzIjhmzWZcrrZJZ7oRMsFFdNJRtAPb3CdKTBdZI4leVMYbI53xo4qFfSRVbxR
 3RQc8qbKm+1+ZidUEW4uxbLoOtF+aBo+UFlSoHlQn6htZGib7kH8UJ2C8Qbf5OFSqghV
 Vr4iAeDmKPC2PVBr9Y8/YVlKLVdSco5FJelbruiLJhN1C9J+pDZeBZ9nRYIgrYvoYGQ2
 te7A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=k/1ENmVIu2xqf1ZtP+UC1hKlDuGoNa2B3DCWR6Z9iDQ=;
 b=iWt9lYrBHg4E08NKsA0GSwZECjWtKW6fP/+sbzoqgBtBiUnFdmAbuks+BphKPTtR/K
 i47xIW/E7cj+vUOh93MEQud3+pTRmNerP736bbe1hxj2ifs91+AReEEFx02DHsIvrI3Y
 5wnmbG78RnIEVF3t8s5Cu4lwL0bQ8DYSCEzJKmjmNT7l7zLZXYlWOfvjdJWcSThL1wuj
 e7WNxHQI2OzotBoKQM+Izwe0GMC+OmD6F9RSkUEUXPKZGcJgUd8D9gNZIgN3iZL6SZ8i
 xxIZ6RoSevlDGZy69c7xAGBiW9uQTONz28BJkaYct2DxQMdsJ8S5VXWwmEqoE82cPM7H
 ogjA==
X-Gm-Message-State: AOAM532EbRaXX/9DI/D97+p5jVyDWKpOQcP4ySa8Ziy9FoyEk0NpTPVM
 p015GR0e49SsbGkpBytUzPGcWzCBfbr5F8fdxkw=
X-Google-Smtp-Source: ABdhPJyxYdxn2cy/D6POHYYHcXFjN9O0D4xj728nioCbN8QcNTsrcBu7TrSx9DvZU2oaxKbxLzrR+bMEizJUGwbTSG8=
X-Received: by 2002:a9f:3189:: with SMTP id v9mr3102835uad.32.1629909721857;
 Wed, 25 Aug 2021 09:42:01 -0700 (PDT)
MIME-Version: 1.0
References: <CANh=_JGtOM=1W7fg2EANrdMdGYdfAGjb21kyCb6avJ+gDbz1Dg@HIDDEN>
 <838s0rvyfu.fsf@HIDDEN>
 <CANh=_JEJx-3S7S95OBKoeRff2kaaVJKBJNGy+vaBNcDb47Q0NA@HIDDEN>
 <83zgt6vi43.fsf@HIDDEN>
 <CANh=_JFtvGMxxidbA5QsB8-GMwJEuV5e3p_=sTZ3OaNG5qwsEA@HIDDEN>
 <CANh=_JG5Opw5n6_t__7YBeGrEvDL2T=Q=ftizTS4motX9cNF0A@HIDDEN>
 <87a6l5k9xr.fsf@HIDDEN>
In-Reply-To: <87a6l5k9xr.fsf@HIDDEN>
From: Jim Porter <jporterbugs@HIDDEN>
Date: Wed, 25 Aug 2021 09:41:52 -0700
Message-ID: <CANh=_JGp8YozgV1=72sU9MBkE1Be5DhdOt8p5KH3g6XJJigQhQ@HIDDEN>
Subject: Re: bug#50179: [PATCH] Add support for "bright" ANSI colors to
 ansi-color and term-mode
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: multipart/mixed; boundary="000000000000fcd7bd05ca64ed4d"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50179
Cc: Eli Zaretskii <eliz@HIDDEN>, 50179 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000fcd7bd05ca64ed4d
Content-Type: text/plain; charset="UTF-8"

Oops, I ran the tests locally, but I think I forgot to rebuild
term.elc, so naturally the tests passed without needing any changes.
Here's a patch.

However, I just want to be sure it's ok for these patches to merge. As
mentioned in the original message, my copyright assignment is
currently out of date. I contacted assign@ to get it updated, and I
don't foresee any problems, but you never know with companies. If the
maintainers are ok with the patch being in-tree despite this, then I'm
ok with it too; I just wanted to be sure everyone was aware of the
situation.

On Wed, Aug 25, 2021 at 5:04 AM Lars Ingebrigtsen <larsi@HIDDEN> wrote:
>
> Jim Porter <jporterbugs@HIDDEN> writes:
>
> > Ok, here are updated patches addressing your comments. I fixed the
> > grammatical error in the comment, improved the commit message for the
> > second patch, and switched to using `ansi-color-bold-is-bright' in
> > both files. I left `ansi-bright-color-names-vector' as a defcustom
> > though, since I think that's the right thing to do there (see my
> > previous message), but I can change that later if we agree on a
> > different/better route there.
>
> Thanks; applied to Emacs 28.  But unfortunately, I didn't notice the
> test failure until after pushing.  :-/
>
> 1 unexpected results:
>    FAILED  term-colors-bold-is-bright
>
> And the faces are:
>
> (font-lock-face ((:foreground "yellow3" :background "unspecified-bg"
>  :inverse-video nil) :inherit term-bold))
> (font-lock-face ((:foreground "yellow2" :background "unspecified-bg"
>  :inverse-video nil) :inherit term-bold))
>
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no

--000000000000fcd7bd05ca64ed4d
Content-Type: application/octet-stream; 
	name="0001-Update-a-test-that-got-missed-for-bug-50179.patch"
Content-Disposition: attachment; 
	filename="0001-Update-a-test-that-got-missed-for-bug-50179.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_ksrq3xxy0>
X-Attachment-Id: f_ksrq3xxy0

RnJvbSA4MDljNDIwY2JjNDJhZGYxYjVmMGQ3ZDhkMGY1MjlmNmFkN2IwOGY0IE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiBKaW0gUG9ydGVyIDxqcG9ydGVyYnVnc0BnbWFpbC5jb20+CkRh
dGU6IFdlZCwgMjUgQXVnIDIwMjEgMDk6MzU6NDkgLTA3MDAKU3ViamVjdDogW1BBVENIXSBVcGRh
dGUgYSB0ZXN0IHRoYXQgZ290IG1pc3NlZCBmb3IgYnVnIzUwMTc5CgoqIHRlc3QvbGlzcC90ZXJt
LXRlc3RzLmVsICh0ZXJtLWNvbG9ycy1ib2xkLWlzLWJyaWdodCk6IFNldAonYW5zaS1jb2xvci1i
b2xkLWlzLWJyaWdodCcuCi0tLQogdGVzdC9saXNwL3Rlcm0tdGVzdHMuZWwgfCAyICstCiAxIGZp
bGUgY2hhbmdlZCwgMSBpbnNlcnRpb24oKyksIDEgZGVsZXRpb24oLSkKCmRpZmYgLS1naXQgYS90
ZXN0L2xpc3AvdGVybS10ZXN0cy5lbCBiL3Rlc3QvbGlzcC90ZXJtLXRlc3RzLmVsCmluZGV4IGE2
MWQwOTM5ZWEuLmI2YTVlOWU4MTQgMTAwNjQ0Ci0tLSBhL3Rlc3QvbGlzcC90ZXJtLXRlc3RzLmVs
CisrKyBiL3Rlc3QvbGlzcC90ZXJtLXRlc3RzLmVsCkBAIC0xMjYsNyArMTI2LDcgQEAgdGVybS1j
b2xvcnMKIAogKGVydC1kZWZ0ZXN0IHRlcm0tY29sb3JzLWJvbGQtaXMtYnJpZ2h0ICgpCiAgIChz
a2lwLXVubGVzcyAobm90IChtZW1xIHN5c3RlbS10eXBlICcod2luZG93cy1udCBtcy1kb3MpKSkp
Ci0gIChsZXQgKCh0ZXJtLWNvbG9yLWJvbGQtaXMtYnJpZ2h0IHQpKQorICAobGV0ICgoYW5zaS1j
b2xvci1ib2xkLWlzLWJyaWdodCB0KSkKICAgICAocGNhc2UtZG9saXN0IChgKCxzdHIgLGV4cGVj
dGVkICxicmlnaHQtZXhwZWN0ZWQpIGFuc2ktdGVzdC1zdHJpbmdzKQogICAgICAgKGxldCAoKGV4
cGVjdGVkIChvciBicmlnaHQtZXhwZWN0ZWQgZXhwZWN0ZWQpKQogICAgICAgICAgICAgKHJlc3Vs
dCAodGVybS10ZXN0LXNjcmVlbi1mcm9tLWlucHV0IDQwIDEyIHN0cikpKQotLSAKMi4yNS4xCgo=
--000000000000fcd7bd05ca64ed4d--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50179; Package emacs. Full text available.

Message received at 50179 <at> debbugs.gnu.org:


Received: (at 50179) by debbugs.gnu.org; 25 Aug 2021 12:04:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 08:04:23 2021
Received: from localhost ([127.0.0.1]:45991 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIrdi-0007jv-Kl
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 08:04:23 -0400
Received: from quimby.gnus.org ([95.216.78.240]:35746)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mIrdb-0007jb-QY
 for 50179 <at> debbugs.gnu.org; Wed, 25 Aug 2021 08:04:16 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=PdcSUyjgR8AkAl6clYqW5iozbQY0XdQuBd1EPKwZ10I=; b=pOC3Ki8dmrgMYF87CzjO3Bd8gp
 cd1hi4LIRQqtpzCS1U0k74jNvoT7jxhoNC7G7H0NRUm81YUJIj4QQMrzH4kYBuRKUaz8QACLkLN9u
 YMqgF/dtlvJJD6KKObV0FyXt6l5dWemFPo/zFDdVH2jZVX//11pde+oRpDf8SeBM3xds=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mIrdQ-0003tR-T2; Wed, 25 Aug 2021 14:04:05 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jim Porter <jporterbugs@HIDDEN>
Subject: Re: bug#50179: [PATCH] Add support for "bright" ANSI colors to
 ansi-color and term-mode
References: <CANh=_JGtOM=1W7fg2EANrdMdGYdfAGjb21kyCb6avJ+gDbz1Dg@HIDDEN>
 <838s0rvyfu.fsf@HIDDEN>
 <CANh=_JEJx-3S7S95OBKoeRff2kaaVJKBJNGy+vaBNcDb47Q0NA@HIDDEN>
 <83zgt6vi43.fsf@HIDDEN>
 <CANh=_JFtvGMxxidbA5QsB8-GMwJEuV5e3p_=sTZ3OaNG5qwsEA@HIDDEN>
 <CANh=_JG5Opw5n6_t__7YBeGrEvDL2T=Q=ftizTS4motX9cNF0A@HIDDEN>
Date: Wed, 25 Aug 2021 14:04:00 +0200
In-Reply-To: <CANh=_JG5Opw5n6_t__7YBeGrEvDL2T=Q=ftizTS4motX9cNF0A@HIDDEN>
 (Jim Porter's message of "Tue, 24 Aug 2021 15:53:52 -0700")
Message-ID: <87a6l5k9xr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Jim Porter <jporterbugs@HIDDEN> writes: > Ok, here are
 updated patches addressing your comments. I fixed the > grammatical error
 in the comment, improved the commit message for the > second patch,
 and switched to using `ansi-color-bold-is-b [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50179
Cc: Eli Zaretskii <eliz@HIDDEN>, 50179 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Jim Porter <jporterbugs@HIDDEN> writes:

> Ok, here are updated patches addressing your comments. I fixed the
> grammatical error in the comment, improved the commit message for the
> second patch, and switched to using `ansi-color-bold-is-bright' in
> both files. I left `ansi-bright-color-names-vector' as a defcustom
> though, since I think that's the right thing to do there (see my
> previous message), but I can change that later if we agree on a
> different/better route there.

Thanks; applied to Emacs 28.  But unfortunately, I didn't notice the
test failure until after pushing.  :-/

1 unexpected results:
   FAILED  term-colors-bold-is-bright

And the faces are:

(font-lock-face ((:foreground "yellow3" :background "unspecified-bg"
 :inverse-video nil) :inherit term-bold))
(font-lock-face ((:foreground "yellow2" :background "unspecified-bg"
 :inverse-video nil) :inherit term-bold))


-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50179; Package emacs. Full text available.

Message received at 50179 <at> debbugs.gnu.org:


Received: (at 50179) by debbugs.gnu.org; 25 Aug 2021 11:57:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 07:57:48 2021
Received: from localhost ([127.0.0.1]:45982 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIrXQ-0005RA-Ll
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 07:57:48 -0400
Received: from eggs.gnu.org ([209.51.188.92]:48364)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mIrXP-0005Qy-KI
 for 50179 <at> debbugs.gnu.org; Wed, 25 Aug 2021 07:57:47 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43888)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mIrXI-00030s-Nq; Wed, 25 Aug 2021 07:57:42 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3247
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mIrXC-0005O9-8n; Wed, 25 Aug 2021 07:57:40 -0400
Date: Wed, 25 Aug 2021 14:57:30 +0300
Message-Id: <83lf4pvis5.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: =?iso-8859-1?Q?K=E9vin?= Le Gouguec <kevin.legouguec@HIDDEN>
In-Reply-To: <87r1eic8as.fsf@HIDDEN> (message from =?iso-8859-1?Q?K=E9v?=
 =?iso-8859-1?Q?in?= Le Gouguec on Wed, 25 Aug 2021 09:06:35 +0200)
Subject: Re: bug#50179: [PATCH] Add support for "bright" ANSI colors to
 ansi-color and term-mode
References: <CANh=_JGtOM=1W7fg2EANrdMdGYdfAGjb21kyCb6avJ+gDbz1Dg@HIDDEN>
 <838s0rvyfu.fsf@HIDDEN>
 <CANh=_JEJx-3S7S95OBKoeRff2kaaVJKBJNGy+vaBNcDb47Q0NA@HIDDEN>
 <83zgt6vi43.fsf@HIDDEN> <87r1eic8as.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50179
Cc: jporterbugs@HIDDEN, 50179 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: KÚvin Le Gouguec <kevin.legouguec@HIDDEN>
> Cc: Jim Porter <jporterbugs@HIDDEN>,  50179 <at> debbugs.gnu.org
> Date: Wed, 25 Aug 2021 09:06:35 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> >> I made this a defcustom because `ansi-color-faces-vector' and
> >> `ansi-color-names-vector' are defcustoms too. More practically
> >> speaking, I'd want to customize this new variable to make these colors
> >> match the Emacs theme I use. I chose colors in this patch to
> >> complement `ansi-color-names-vector', but they'd clash with my theme.
> >
> > How can named colors change with the theme?  Faces can, but colors are
> > absolute.  Bright-yellow is the same color whatever the theme.  At
> > least IMO.  I wonder if others think otherwise.
> 
> FWIW, a couple of Emacs's built-in themes set these ansi-color options.
> See e.g. the Modus themes, which are designed to meet WCAG's highest
> standards for colour contrast.

It's OK to set a variable.  I was asking why would we want to offer
users the opportunity to customize these translations.

> Maybe there's an analogy to make with terminal emulators?  Most of those
> (e.g. Konsole, Terminator, Xfce's) allow the user to customize the
> 16-color palette.

Once again, if someone _really_ wants that, they can set a variable
allright.  I'm asking why would _we_ want that.

> Digging into the history of this 4-bit palette[1], it almost seems like
> no two consoles ever used the exact same colors, so these color names
> might not be as absolute as say, HTML color names[2].

I don't see how this justifies a desfcustom, sorry.  If there's no
110% consensus, we can choose whatever similar color we want.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50179; Package emacs. Full text available.

Message received at 50179 <at> debbugs.gnu.org:


Received: (at 50179) by debbugs.gnu.org; 25 Aug 2021 07:06:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 25 03:06:44 2021
Received: from localhost ([127.0.0.1]:45554 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mImzk-0002jF-9O
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 03:06:44 -0400
Received: from mail-wr1-f53.google.com ([209.85.221.53]:47038)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kevin.legouguec@HIDDEN>) id 1mImzj-0002iz-5d
 for 50179 <at> debbugs.gnu.org; Wed, 25 Aug 2021 03:06:43 -0400
Received: by mail-wr1-f53.google.com with SMTP id f5so34757643wrm.13
 for <50179 <at> debbugs.gnu.org>; Wed, 25 Aug 2021 00:06:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=wpRiMrDQ7Vi4o5u2T1H6oE1NSjTz3HMTMDi95loYP18=;
 b=UYxR9z7owTYxd7plXxfcEyb7I26qFjbyzF5Cb4O2GhzRtNd4VDPpobqNqWO+MOok30
 N1IfUXdyGZNOXO6Ht51TAs6asIkBp2MprqpseWuP+fr18BZavXqNBlxYSnJKK14O0P9n
 j4JdDoDF4lFOUBMhWaaPY2qNmNsRQUxNhVYREzjzVtPVDbAr0dHyaYXMoxuTqCT9tD7r
 t85VSAMkAg84c8zCNvdVYEK4vSHf3KVYVDfMib5IP9xm+XLVOVItp8LsOBq+3BKlrQ9R
 s8oWwe/vVEYv+myoxMYzBHevxAgMiPXIe9EJGlkGbmQI135m4TZu2kv+eldDK6RElUCF
 cujQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=wpRiMrDQ7Vi4o5u2T1H6oE1NSjTz3HMTMDi95loYP18=;
 b=qQO9iqmpDOhj07jTSEMhyqlMvKsRSiXSj04VQH+O3sZukSLxupk/E+FVBTGxX7o1aI
 jARzuyOWDda7EYh/5C7M+fxE8yB0hS1YM7Gbi1qepwLI7PfJ1wHN2QRejnKkhV3mgSJ2
 vQbAa/oIzIEeOZShGe+/Toqz5oa6FY/qiYKAcHEc8ge3nxg4hD6vYuDw5gX6ztu7CW6Z
 BemLosC19CusrrSyyU/ysBY5o737zdy1NA3pGw4YWl9B4XA7+PPqH+985jlRWMDk2j7f
 3vtMCccBMkiC+YZ7MSzBgqj0+Qg9GDHY4Jj39FR69tzkb5rSscaxR9HrephqhCSW2VG4
 IJ1Q==
X-Gm-Message-State: AOAM532BnCCZvn2XP/miA1ONuDHU0vpVBf/ArKGSSoABhl20qVGdXqz/
 jvtbvvodEBQEtVTL9tjm9ILYtePKU8o=
X-Google-Smtp-Source: ABdhPJxgtPG2MdgIb7CGetDiVP8gdrREtISuqBqkRfQ4pd2FDEoON4MUAxXFmEzluO3BEWlM9j5MEA==
X-Received: by 2002:a5d:500d:: with SMTP id e13mr18496035wrt.413.1629875197028; 
 Wed, 25 Aug 2021 00:06:37 -0700 (PDT)
Received: from amdahl30 ([2a01:e0a:20e:d340:2ef0:5dff:fed2:7b49])
 by smtp.gmail.com with ESMTPSA id n8sm3959979wmq.18.2021.08.25.00.06.36
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 25 Aug 2021 00:06:36 -0700 (PDT)
From: =?utf-8?Q?K=C3=A9vin_Le_Gouguec?= <kevin.legouguec@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#50179: [PATCH] Add support for "bright" ANSI colors to
 ansi-color and term-mode
References: <CANh=_JGtOM=1W7fg2EANrdMdGYdfAGjb21kyCb6avJ+gDbz1Dg@HIDDEN>
 <838s0rvyfu.fsf@HIDDEN>
 <CANh=_JEJx-3S7S95OBKoeRff2kaaVJKBJNGy+vaBNcDb47Q0NA@HIDDEN>
 <83zgt6vi43.fsf@HIDDEN>
Date: Wed, 25 Aug 2021 09:06:35 +0200
In-Reply-To: <83zgt6vi43.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 24 Aug
 2021 20:59:40 +0300")
Message-ID: <87r1eic8as.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50179
Cc: Jim Porter <jporterbugs@HIDDEN>, 50179 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> > I wouldn't offer a customizable list for this: users have no
>> > particular reason to redefine standard colors.
>> 
>> I made this a defcustom because `ansi-color-faces-vector' and
>> `ansi-color-names-vector' are defcustoms too. More practically
>> speaking, I'd want to customize this new variable to make these colors
>> match the Emacs theme I use. I chose colors in this patch to
>> complement `ansi-color-names-vector', but they'd clash with my theme.
>
> How can named colors change with the theme?  Faces can, but colors are
> absolute.  Bright-yellow is the same color whatever the theme.  At
> least IMO.  I wonder if others think otherwise.

FWIW, a couple of Emacs's built-in themes set these ansi-color options.
See e.g. the Modus themes, which are designed to meet WCAG's highest
standards for colour contrast.

Maybe there's an analogy to make with terminal emulators?  Most of those
(e.g. Konsole, Terminator, Xfce's) allow the user to customize the
16-color palette.

Digging into the history of this 4-bit palette[1], it almost seems like
no two consoles ever used the exact same colors, so these color names
might not be as absolute as say, HTML color names[2].


[1] https://en.wikipedia.org/wiki/ANSI_escape_code#Colors
[2] https://en.wikipedia.org/wiki/Web_colors#HTML_color_names




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50179; Package emacs. Full text available.

Message received at 50179 <at> debbugs.gnu.org:


Received: (at 50179) by debbugs.gnu.org; 24 Aug 2021 22:54:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 24 18:54:11 2021
Received: from localhost ([127.0.0.1]:45357 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIfJ5-0007Zy-4l
	for submit <at> debbugs.gnu.org; Tue, 24 Aug 2021 18:54:11 -0400
Received: from mail-ua1-f53.google.com ([209.85.222.53]:42568)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jporterbugs@HIDDEN>) id 1mIfJ2-0007Zl-W9
 for 50179 <at> debbugs.gnu.org; Tue, 24 Aug 2021 18:54:09 -0400
Received: by mail-ua1-f53.google.com with SMTP id m39so13251176uad.9
 for <50179 <at> debbugs.gnu.org>; Tue, 24 Aug 2021 15:54:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=0UJEhjDew0Oo53TI8daWyTRNimdGHYKarw0Hknhw0i8=;
 b=i5FLk+X40Kqt8BRQZdjk4ZGs4prkOQgcsz14xO3P9HDKpowmy85JgNwl3ONDNBua8J
 QFNJ202BbtbNT0z55vHcyjkvkPsNcTVNJ5sYl95mFSIkVqcyoYCkSA7x8u4/HbE/0RzK
 ESJ14ZXogHx4L4D38arbFQ5mxAcKveSdx7Skkb0J8SrhWVRsJ3PjGvMsJJ3hiMqGxCyX
 JC3HtnTzwPUrNwe9KuL2gJ6X9AOy8PSEMUfE0W9jcWD62LYog48/PUPY0jaSOhIdGooJ
 Q1BWvr5mDovm8GazvIYtVCnIUNS4DVqQrHrrafht86oaXFUJRspK+3gAy0ciCZtXHTA3
 aOXw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=0UJEhjDew0Oo53TI8daWyTRNimdGHYKarw0Hknhw0i8=;
 b=abYO0EJgHK2f4GcsU4Sc2ZGpVcLpS+bvt3GkyvUESq58pe7cIReaj2CAdLa3pJKYGV
 tsRM30Qhj0HA2FaE4kNqyOiyu7tZA0PFOfrsmZCS5rVPlzbiBrCHzAxSLPMDeDC8/Xeh
 mnqc5Y8mp0/IMMNFumR7h6LJMQZJ7cI27wQIQ+BVppw5AHTHu7KyIBoP95uPrg3ke3cA
 pTh/CYwTh6I5uUyXeHLMXJk+Y4AXZMcuwv1vo12b7/Zf3g3sqk5lEbSIRkU7BbK5fhj+
 WyUqmBRuo4fHHhDJWRJO+ekUQxlUBt0aY/3cXUszwQEBLPY5QtPV2gvO6tG9y7SAR+IU
 khRQ==
X-Gm-Message-State: AOAM531SLayAaDaK++l4u0H4Us15MFB+HZS8+t+BK2n1zxgxC2zs6mIa
 FGfMyQHmqY+7sm99TL+TuQ0Vg8MhpFV9swBdTqA=
X-Google-Smtp-Source: ABdhPJzP7bBZvbWabzVd8a/PyeFhBkygieju6PjKvsfQIoV8kOub4kh2jREktlm/9Uuu6Y6mb1BSbipSykRcWIBL3h8=
X-Received: by 2002:ab0:3561:: with SMTP id e1mr152734uaa.5.1629845643243;
 Tue, 24 Aug 2021 15:54:03 -0700 (PDT)
MIME-Version: 1.0
References: <CANh=_JGtOM=1W7fg2EANrdMdGYdfAGjb21kyCb6avJ+gDbz1Dg@HIDDEN>
 <838s0rvyfu.fsf@HIDDEN>
 <CANh=_JEJx-3S7S95OBKoeRff2kaaVJKBJNGy+vaBNcDb47Q0NA@HIDDEN>
 <83zgt6vi43.fsf@HIDDEN>
 <CANh=_JFtvGMxxidbA5QsB8-GMwJEuV5e3p_=sTZ3OaNG5qwsEA@HIDDEN>
In-Reply-To: <CANh=_JFtvGMxxidbA5QsB8-GMwJEuV5e3p_=sTZ3OaNG5qwsEA@HIDDEN>
From: Jim Porter <jporterbugs@HIDDEN>
Date: Tue, 24 Aug 2021 15:53:52 -0700
Message-ID: <CANh=_JG5Opw5n6_t__7YBeGrEvDL2T=Q=ftizTS4motX9cNF0A@HIDDEN>
Subject: Re: bug#50179: [PATCH] Add support for "bright" ANSI colors to
 ansi-color and term-mode
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/mixed; boundary="0000000000009ad6e405ca56027f"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50179
Cc: 50179 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000009ad6e405ca56027f
Content-Type: text/plain; charset="UTF-8"

Ok, here are updated patches addressing your comments. I fixed the
grammatical error in the comment, improved the commit message for the
second patch, and switched to using `ansi-color-bold-is-bright' in
both files. I left `ansi-bright-color-names-vector' as a defcustom
though, since I think that's the right thing to do there (see my
previous message), but I can change that later if we agree on a
different/better route there.

--0000000000009ad6e405ca56027f
Content-Type: application/octet-stream; 
	name="0001-Add-support-for-bright-ANSI-colors-in-ansi-color.patch"
Content-Disposition: attachment; 
	filename="0001-Add-support-for-bright-ANSI-colors-in-ansi-color.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_ksqnwi1s0>
X-Attachment-Id: f_ksqnwi1s0
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--0000000000009ad6e405ca56027f
Content-Type: application/octet-stream; 
	name="0002-Add-support-for-bright-ANSI-colors-in-term-mode.patch"
Content-Disposition: attachment; 
	filename="0002-Add-support-for-bright-ANSI-colors-in-term-mode.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_ksqnwi201>
X-Attachment-Id: f_ksqnwi201
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--0000000000009ad6e405ca56027f--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50179; Package emacs. Full text available.

Message received at 50179 <at> debbugs.gnu.org:


Received: (at 50179) by debbugs.gnu.org; 24 Aug 2021 19:00:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 24 15:00:13 2021
Received: from localhost ([127.0.0.1]:45253 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIbef-0005vd-Dx
	for submit <at> debbugs.gnu.org; Tue, 24 Aug 2021 15:00:13 -0400
Received: from mail-ua1-f42.google.com ([209.85.222.42]:43980)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jporterbugs@HIDDEN>) id 1mIbec-0005uK-T3
 for 50179 <at> debbugs.gnu.org; Tue, 24 Aug 2021 15:00:11 -0400
Received: by mail-ua1-f42.google.com with SMTP id j31so5838003uad.10
 for <50179 <at> debbugs.gnu.org>; Tue, 24 Aug 2021 12:00:10 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=duDSmaLKLenOOH1mv+5x83JS9NVaVZu5kJ84mu330iU=;
 b=hvr2EUAuAKH8Yf9LRUNlRh9quK6xi+FHbbxzk64f48dDZesoQ2cZWuskZvhba6gRUg
 Hlq3HSdQmdjgWs0KbxO/rYCYw4+p6EsFitoI4cVH5Y5ZANFINhKR1Xhj8L7AGm7rYDAM
 MK7wCyTGO3bhHTPcctFfwZkr8vB+OIY2gc+Htg7lALP7uT4hEBxeKRh27fjB3bmP1C/g
 4wRwG/5SlZ0x6Nw/I5v0u2nhOrcx5M7E22a5DKIHdaoR4QWFHcpL1e5C3d2eFp0QBBQt
 x9pXttxOGjrEc8q1l5vX7xPV8tBJlF92V9rOkzMtNTylCG/tBzPjUgntpYbnEaW87duL
 60JQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=duDSmaLKLenOOH1mv+5x83JS9NVaVZu5kJ84mu330iU=;
 b=cE5oLjuFBrGVjof9vwiSoFvF1kqoMtLPZaWk1eLZKPdyKtyT/550WJHXb47mdRR5kR
 9VzbAelPbYUbCwSP/UeWktyQwR/FvjSoo1QOOUq+JUUrSDrkXhdDngnwSw/gAjhkW3yg
 g+CJIm471xzhnhTNOghVQ6a1Mrp37QEx6p/Rqn8zu3I8oFmAIGoghumwrS0HTlm3CnBF
 tnn87/j6lgWvJaDSvjsWVM+Jr6SZKxsEsD/yoehGAzImImGeeZ/Bit3LVYyZj3qghzW6
 ZrIf/KdADQxKDQlQb+4X1tYegAqicc02mVWD3ftqbpV7h4cR4tQJEAHvPcF8W69rkYTY
 39XA==
X-Gm-Message-State: AOAM531CZd+yIF/M4nTg57kK86fNqWzYRMx1UlbNAteO2YZGi1/ojpTF
 5w2LmfvW/+848EPqrs8i/cy3CZeMISaTGhoSC4E=
X-Google-Smtp-Source: ABdhPJysJPjsZNAfFSaejmiuLf4vF8HsMIAGhCiS/QpL6kpCbjbIAUpsGd1+F5Nw1G5lSn/wvExvPK4bsYZ8PQBow4U=
X-Received: by 2002:a05:6102:22d5:: with SMTP id
 a21mr28758974vsh.32.1629831605015; 
 Tue, 24 Aug 2021 12:00:05 -0700 (PDT)
MIME-Version: 1.0
References: <CANh=_JGtOM=1W7fg2EANrdMdGYdfAGjb21kyCb6avJ+gDbz1Dg@HIDDEN>
 <838s0rvyfu.fsf@HIDDEN>
 <CANh=_JEJx-3S7S95OBKoeRff2kaaVJKBJNGy+vaBNcDb47Q0NA@HIDDEN>
 <83zgt6vi43.fsf@HIDDEN>
In-Reply-To: <83zgt6vi43.fsf@HIDDEN>
From: Jim Porter <jporterbugs@HIDDEN>
Date: Tue, 24 Aug 2021 11:59:53 -0700
Message-ID: <CANh=_JFtvGMxxidbA5QsB8-GMwJEuV5e3p_=sTZ3OaNG5qwsEA@HIDDEN>
Subject: Re: bug#50179: [PATCH] Add support for "bright" ANSI colors to
 ansi-color and term-mode
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50179
Cc: 50179 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Tue, Aug 24, 2021 at 10:59 AM Eli Zaretskii <eliz@HIDDEN> wrote:
>
> > From: Jim Porter <jporterbugs@HIDDEN>
> > Date: Tue, 24 Aug 2021 10:38:06 -0700
> > Cc: 50179 <at> debbugs.gnu.org
> >
> > > I wouldn't offer a customizable list for this: users have no
> > > particular reason to redefine standard colors.
> >
> > I made this a defcustom because `ansi-color-faces-vector' and
> > `ansi-color-names-vector' are defcustoms too. More practically
> > speaking, I'd want to customize this new variable to make these colors
> > match the Emacs theme I use. I chose colors in this patch to
> > complement `ansi-color-names-vector', but they'd clash with my theme.
>
> How can named colors change with the theme?  Faces can, but colors are
> absolute.  Bright-yellow is the same color whatever the theme.  At
> least IMO.  I wonder if others think otherwise.

The colors in `ansi-bright-color-names-vector' are just the color
values that get used to set face attributes on bits of text. They (and
the values in the other defcustoms mentioned above) get compiled into
`ansi-color-map', which contains entries like `(foreground-color .
"yellow2")'. Those then get applied as face attributes onto the
relevant text. While you'd always want bright-yellow to be some kind
of bright-looking yellow, the exact RGB value for that is just a
matter of preference. In particular, a theme might need to adjust
these color values so that there's appropriate contrast between
ANSI-colorized text and the default foreground/background color
specified by the theme.

> > Would it be ok to use `ansi-color-bold-is-bright'
> > (from patch 1 in `ansi-color.el') in `term.el'?
>
> Yes, why not?

Mostly just my relative unfamiliarity with the preferred way to do
things here. `ansi-color.el' and `term.el' seemed very independent of
each other, and I wasn't sure if there was a particular reason for
that. I'll just use `ansi-color-bold-is-bright' for both patches then.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50179; Package emacs. Full text available.

Message received at 50179 <at> debbugs.gnu.org:


Received: (at 50179) by debbugs.gnu.org; 24 Aug 2021 17:59:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 24 13:59:56 2021
Received: from localhost ([127.0.0.1]:45152 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIaiK-0004IS-Cd
	for submit <at> debbugs.gnu.org; Tue, 24 Aug 2021 13:59:56 -0400
Received: from eggs.gnu.org ([209.51.188.92]:53860)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mIaiG-0004I1-Bf
 for 50179 <at> debbugs.gnu.org; Tue, 24 Aug 2021 13:59:53 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45528)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mIaiB-0000iN-46; Tue, 24 Aug 2021 13:59:47 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1217
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mIaiA-00063S-Mf; Tue, 24 Aug 2021 13:59:47 -0400
Date: Tue, 24 Aug 2021 20:59:40 +0300
Message-Id: <83zgt6vi43.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jim Porter <jporterbugs@HIDDEN>
In-Reply-To: <CANh=_JEJx-3S7S95OBKoeRff2kaaVJKBJNGy+vaBNcDb47Q0NA@HIDDEN>
 (message from Jim Porter on Tue, 24 Aug 2021 10:38:06 -0700)
Subject: Re: bug#50179: [PATCH] Add support for "bright" ANSI colors to
 ansi-color and term-mode
References: <CANh=_JGtOM=1W7fg2EANrdMdGYdfAGjb21kyCb6avJ+gDbz1Dg@HIDDEN>
 <838s0rvyfu.fsf@HIDDEN>
 <CANh=_JEJx-3S7S95OBKoeRff2kaaVJKBJNGy+vaBNcDb47Q0NA@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50179
Cc: 50179 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Jim Porter <jporterbugs@HIDDEN>
> Date: Tue, 24 Aug 2021 10:38:06 -0700
> Cc: 50179 <at> debbugs.gnu.org
> 
> > I wouldn't offer a customizable list for this: users have no
> > particular reason to redefine standard colors.
> 
> I made this a defcustom because `ansi-color-faces-vector' and
> `ansi-color-names-vector' are defcustoms too. More practically
> speaking, I'd want to customize this new variable to make these colors
> match the Emacs theme I use. I chose colors in this patch to
> complement `ansi-color-names-vector', but they'd clash with my theme.

How can named colors change with the theme?  Faces can, but colors are
absolute.  Bright-yellow is the same color whatever the theme.  At
least IMO.  I wonder if others think otherwise.

> > > +(defcustom term-color-bold-is-bright nil
> > > +  "If set to non-nil, combining ANSI bold and a color produces the bright
> > > +version of that color."
> > > +  :group 'term
> > > +  :type 'boolean
> > > +  :version "28.1")
> >
> > Do we really need 2 separate knobs for these two features?  How
> > probable is it that the same user will want to have bright colors in
> > one package, but not in the other?
> 
> I doubt anyone would want to control these independently. It'd be nice
> to have a single defcustom for this, but I wasn't sure where it should
> go in that case.

If we agree to have a single defcustom, then where to put it is
secondary.

> Would it be ok to use `ansi-color-bold-is-bright'
> (from patch 1 in `ansi-color.el') in `term.el'?

Yes, why not?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50179; Package emacs. Full text available.

Message received at 50179 <at> debbugs.gnu.org:


Received: (at 50179) by debbugs.gnu.org; 24 Aug 2021 17:38:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 24 13:38:22 2021
Received: from localhost ([127.0.0.1]:45118 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIaNS-0003lT-Bv
	for submit <at> debbugs.gnu.org; Tue, 24 Aug 2021 13:38:22 -0400
Received: from mail-ua1-f54.google.com ([209.85.222.54]:43643)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jporterbugs@HIDDEN>) id 1mIaNR-0003lH-C4
 for 50179 <at> debbugs.gnu.org; Tue, 24 Aug 2021 13:38:21 -0400
Received: by mail-ua1-f54.google.com with SMTP id j31so5584519uad.10
 for <50179 <at> debbugs.gnu.org>; Tue, 24 Aug 2021 10:38:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=i3sCoPKU3DJGW4Diek13Hk2cqVKBGojZGD8uEXp8A0g=;
 b=iJ8lPHMgq4WjIVIkQjy34Yvf+3SSbrMCqu0A53pYJmVdecrJVykm47qeAfNkwDFsMS
 KpJe7UVG6dUetbSzKUKAoit3gkwf3tsxWZJp0IdbIfoYeNJQR+uR6qUlsdLG9+DsdQRl
 HQG8sC6ziHIncjnjAltR85FYEMzqm8JuD2UXOaIR191OOVise9gmG+ByL5JJpuAMd7nz
 SHyut1+qohPIEBvV0G5C2M/GaRMk9y9mp68FUxLEDc70UL+aiiWC934eoJQhU6xaZePc
 97jk+D/gj1ovhxomZdUbzhy2n7NrClR9ExzoigUG8GGxs1uqS6dscYQbiW8jEfJ2mCnC
 WscA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=i3sCoPKU3DJGW4Diek13Hk2cqVKBGojZGD8uEXp8A0g=;
 b=dY9paz0wpjjC4P3nf+xZY7r0mECd51uOxGpfzrMdcKM51pPDmUO7rqDH4xMvEpwBzT
 rdFiiS3Zw0NyIAAfWihTqT9bPC0gvMJWbF227SPtweqU8cX6k2XkXxwz2EhmYlgPGhvk
 AVEHInyEQxxQjlW3tp0uehlQ6RaXHgJWVRd/9kY4PFRWobB9mjWC6gbXWgZkqe6R0UME
 Esu1u0NyyJPAyDmSoQjnJFD9mea/NIBWQhDmdgP+wkZL9C2qmUs+fuKdSlLz89ESHp2J
 wZljm2G675UEvArAQivHy8xxO/8x+iy+ZH2+JdVauPge7cmdP/rGzW3fy6I7qnfc/w/W
 PnCg==
X-Gm-Message-State: AOAM531e1WXzjIwrhuwn7FGtY1ATkjBJ1apQ8I/1k6KdCU6Ha+mutm9m
 zpqtRFH+Hcyve/0ft1ulvuDk3eu/7odqD/D36RE=
X-Google-Smtp-Source: ABdhPJwGjxXlsusNg+50O9f2K1eGvOx6bFqcJQOp2FgQ4Vaiq6scCJo7aNupqfkfgWEhMgqYPwc7CiKhpjQ0vlUJDTs=
X-Received: by 2002:a67:e343:: with SMTP id s3mr29359855vsm.33.1629826695851; 
 Tue, 24 Aug 2021 10:38:15 -0700 (PDT)
MIME-Version: 1.0
References: <CANh=_JGtOM=1W7fg2EANrdMdGYdfAGjb21kyCb6avJ+gDbz1Dg@HIDDEN>
 <838s0rvyfu.fsf@HIDDEN>
In-Reply-To: <838s0rvyfu.fsf@HIDDEN>
From: Jim Porter <jporterbugs@HIDDEN>
Date: Tue, 24 Aug 2021 10:38:06 -0700
Message-ID: <CANh=_JEJx-3S7S95OBKoeRff2kaaVJKBJNGy+vaBNcDb47Q0NA@HIDDEN>
Subject: Re: bug#50179: [PATCH] Add support for "bright" ANSI colors to
 ansi-color and term-mode
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50179
Cc: 50179 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Tue, Aug 24, 2021 at 5:07 AM Eli Zaretskii <eliz@HIDDEN> wrote:
>
> > +(defcustom ansi-bright-color-names-vector
> > +  ["gray30" "red2" "green2" "yellow2" "blue1" "magenta2" "cyan2" "white"]
> > +  "Colors used for SGR control sequences determining a \"bright\" color.
> > +This vector holds the colors used for SGR control sequences parameters
> > +90 to 97 (bright foreground colors) and 100 to 107 (brightbackground
> > +colors).
>
> I wouldn't offer a customizable list for this: users have no
> particular reason to redefine standard colors.

I made this a defcustom because `ansi-color-faces-vector' and
`ansi-color-names-vector' are defcustoms too. More practically
speaking, I'd want to customize this new variable to make these colors
match the Emacs theme I use. I chose colors in this patch to
complement `ansi-color-names-vector', but they'd clash with my theme.

> > +(defcustom term-color-bold-is-bright nil
> > +  "If set to non-nil, combining ANSI bold and a color produces the bright
> > +version of that color."
> > +  :group 'term
> > +  :type 'boolean
> > +  :version "28.1")
>
> Do we really need 2 separate knobs for these two features?  How
> probable is it that the same user will want to have bright colors in
> one package, but not in the other?

I doubt anyone would want to control these independently. It'd be nice
to have a single defcustom for this, but I wasn't sure where it should
go in that case. Would it be ok to use `ansi-color-bold-is-bright'
(from patch 1 in `ansi-color.el') in `term.el'? I see that `term.el`
requires `comint.el', which requires `ansi-color.el', so `term.el'
should see it without changing what gets loaded.

(It might even be nice to use the same definitions for the colors in
both `ansi-color.el' and `term.el', but that would take a bit of work
to migrate users'/themes' customizations. Maybe that's something to do
for Emacs 29 so I have time to figure out a good migration path.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50179; Package emacs. Full text available.

Message received at 50179 <at> debbugs.gnu.org:


Received: (at 50179) by debbugs.gnu.org; 24 Aug 2021 12:07:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 24 08:07:17 2021
Received: from localhost ([127.0.0.1]:43374 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIVD2-0007Bd-PA
	for submit <at> debbugs.gnu.org; Tue, 24 Aug 2021 08:07:17 -0400
Received: from eggs.gnu.org ([209.51.188.92]:35914)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mIVD0-0007BP-DB
 for 50179 <at> debbugs.gnu.org; Tue, 24 Aug 2021 08:07:14 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33660)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mIVCv-0004g0-2j; Tue, 24 Aug 2021 08:07:09 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3233
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mIVCu-0001bP-My; Tue, 24 Aug 2021 08:07:09 -0400
Date: Tue, 24 Aug 2021 15:07:01 +0300
Message-Id: <838s0rvyfu.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jim Porter <jporterbugs@HIDDEN>
In-Reply-To: <CANh=_JGtOM=1W7fg2EANrdMdGYdfAGjb21kyCb6avJ+gDbz1Dg@HIDDEN>
 (message from Jim Porter on Mon, 23 Aug 2021 21:02:46 -0700)
Subject: Re: bug#50179: [PATCH] Add support for "bright" ANSI colors to
 ansi-color and term-mode
References: <CANh=_JGtOM=1W7fg2EANrdMdGYdfAGjb21kyCb6avJ+gDbz1Dg@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50179
Cc: 50179 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Jim Porter <jporterbugs@HIDDEN>
> Date: Mon, 23 Aug 2021 21:02:46 -0700
> 
> With the administrative issues out of the way... these patches provide
> support for "bright" ANSI colors (SGR 90-97 and 100-107 for foreground
> and background, respectively)[1]. Most of the complexity here is due
> to the new defcustoms `*-bold-is-bright'. Enabling this results in
> ANSI "bold" text (SGR 1) to be rendered in the bright color palette
> (as well as being bold). This is a pretty common option in terminal
> emulators; all the ones I looked at[2] support it, and it's often the
> default behavior. For me, the main benefit of this option is so I can
> easily match the color palettes between Emacs and my terminal
> emulator.
> 
> I've split this into two patches, one for 'ansi-color' and one for
> 'term-mode'. Despite the similarity in functionality, the
> implementations are pretty different. It might be nice if they could
> be unified somehow, but that may be more trouble than it's worth...

Thanks, please see some comments below.

> +(defcustom ansi-bright-color-names-vector
> +  ["gray30" "red2" "green2" "yellow2" "blue1" "magenta2" "cyan2" "white"]
> +  "Colors used for SGR control sequences determining a \"bright\" color.
> +This vector holds the colors used for SGR control sequences parameters
> +90 to 97 (bright foreground colors) and 100 to 107 (brightbackground
> +colors).

I wouldn't offer a customizable list for this: users have no
particular reason to redefine standard colors.

>  (defun ansi-color--find-face (codes)
>    "Return the face corresponding to CODES."
> -  (let (faces)
> +  ;; Sort the codes in ascending order to can guarantee that "bold" comes
                                          ^^^^^^^^^^^^^^^^
Something wrong with the wording here.

> (term-color-bright-*): New faces.

Please name the new faces explicitly.

> +(defcustom term-color-bold-is-bright nil
> +  "If set to non-nil, combining ANSI bold and a color produces the bright
> +version of that color."
> +  :group 'term
> +  :type 'boolean
> +  :version "28.1")

Do we really need 2 separate knobs for these two features?  How
probable is it that the same user will want to have bright colors in
one package, but not in the other?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50179; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Aug 2021 04:03:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 24 00:03:05 2021
Received: from localhost ([127.0.0.1]:42895 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mINeS-0002Kb-Od
	for submit <at> debbugs.gnu.org; Tue, 24 Aug 2021 00:03:05 -0400
Received: from lists.gnu.org ([209.51.188.17]:40158)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jporterbugs@HIDDEN>) id 1mINeO-0002K9-9l
 for submit <at> debbugs.gnu.org; Tue, 24 Aug 2021 00:03:03 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:58292)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jporterbugs@HIDDEN>)
 id 1mINeO-00069a-2x
 for bug-gnu-emacs@HIDDEN; Tue, 24 Aug 2021 00:03:00 -0400
Received: from mail-ua1-x92a.google.com ([2607:f8b0:4864:20::92a]:41554)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <jporterbugs@HIDDEN>)
 id 1mINeM-0005r7-2P
 for bug-gnu-emacs@HIDDEN; Tue, 24 Aug 2021 00:02:59 -0400
Received: by mail-ua1-x92a.google.com with SMTP id 75so9779410uav.8
 for <bug-gnu-emacs@HIDDEN>; Mon, 23 Aug 2021 21:02:57 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=C3NxAfVxUYt1kpKR3/poy0TMpHxibuFy+gJyrWOTKPo=;
 b=kKXxg86VaiUH+OdA15Sr6XwIKnbO5GdAbGX21KlQKKlyFUhEguT5c7xQql/vdamKlE
 tSVOurIgUtlK9PqdhlbsFUnmAt092HiBrEPEDScB8gVNIxbu0NCxEfqFtDN5646oB76i
 4vXKlAO9qBgeq4RvUi5gYuJiGfyU2QxyG0TaTDl+lzDKGuMwU8UEOuOQICHbGJZWRupl
 5id1a+75J68sixaFBzC+PR9d4NM6tEnTTe//HTC2T5djiUrAGLu9NOQ5Bt6ZDkDmg0Vs
 ainB/V858V7TeGJ26QHAnfR9YpMSzubTTW0V9ueUpDXuhpp7xoxojH7zEajAQiD4Essd
 hD2A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=C3NxAfVxUYt1kpKR3/poy0TMpHxibuFy+gJyrWOTKPo=;
 b=Nk4yZ7L3j71NfsBeiMKIkrs1/u6cbP2RHUMlujONABVSkI1q17tghIKp2r4xLHPqrr
 lJxMQtcGTN3mR9sXIHjSk5RXWXuIjqdJ57Dy9QTWZNxb0FrlD6/xWIY9Ltd/12zOa7DT
 R48IWj5t/XOl+k6GU0lbvDZx4C5RtteXYuMngPkpUbVIaGtZnsoO4XTX6UanxW7FNvLA
 IP4dInqPcKCIuEpSuBiEP2pPqJ9Zi8CcIJ6fXg/S6HoFghM96kZ90gsmfSFwJh6WisdK
 nNpmVwGp2QYWTHt8obRfmsClLJ+9cQpmWimts6rl8xWdQcOAQ1Y4erIyzzHetzeOTpN7
 R/gw==
X-Gm-Message-State: AOAM5322Y0gkUCAm1dT1E5Chpc0PTqn319Tarr6yTJe9UbSz/AdZFvtw
 hkLrCT6mZR28jX1+acg+uUY9Ub6/ajBmXu/sCIjUC7ex1nU=
X-Google-Smtp-Source: ABdhPJwywyqCXYrNNqz/+ltEHGsZ0d0mn3uA0fKrx1qOYNLaqkb6l/XftMI50ohjfnsN8aZjYcO+8E9tgf2cl9sk3g4=
X-Received: by 2002:a67:e343:: with SMTP id s3mr26648996vsm.33.1629777776802; 
 Mon, 23 Aug 2021 21:02:56 -0700 (PDT)
MIME-Version: 1.0
From: Jim Porter <jporterbugs@HIDDEN>
Date: Mon, 23 Aug 2021 21:02:46 -0700
Message-ID: <CANh=_JGtOM=1W7fg2EANrdMdGYdfAGjb21kyCb6avJ+gDbz1Dg@HIDDEN>
Subject: [PATCH] Add support for "bright" ANSI colors to ansi-color and
 term-mode
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/mixed; boundary="00000000000073295805ca463576"
Received-SPF: pass client-ip=2607:f8b0:4864:20::92a;
 envelope-from=jporterbugs@HIDDEN; helo=mail-ua1-x92a.google.com
X-Spam_score_int: -1
X-Spam_score: -0.2
X-Spam_bar: /
X-Spam_report: (-0.2 / 5.0 requ) BAYES_40=-0.001, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--00000000000073295805ca463576
Content-Type: text/plain; charset="UTF-8"

Note: My copyright assignment paperwork is out of date, but I've
already sent a message to assign@ to get it updated. Thus, these
patches won't be able to merge right away. However, I wanted to start
the review process now so that there's plenty of time for
back-and-forth before Emacs 28.1 is released.

With the administrative issues out of the way... these patches provide
support for "bright" ANSI colors (SGR 90-97 and 100-107 for foreground
and background, respectively)[1]. Most of the complexity here is due
to the new defcustoms `*-bold-is-bright'. Enabling this results in
ANSI "bold" text (SGR 1) to be rendered in the bright color palette
(as well as being bold). This is a pretty common option in terminal
emulators; all the ones I looked at[2] support it, and it's often the
default behavior. For me, the main benefit of this option is so I can
easily match the color palettes between Emacs and my terminal
emulator.

I've split this into two patches, one for 'ansi-color' and one for
'term-mode'. Despite the similarity in functionality, the
implementations are pretty different. It might be nice if they could
be unified somehow, but that may be more trouble than it's worth...

- Jim

[1] https://en.wikipedia.org/wiki/ANSI_escape_code#SGR_(Select_Graphic_Rendition)_parameters
[2] gnome-terminal, alacritty, and PuTTY

--00000000000073295805ca463576
Content-Type: application/octet-stream; 
	name="0001-Add-support-for-bright-ANSI-colors-in-ansi-color.patch"
Content-Disposition: attachment; 
	filename="0001-Add-support-for-bright-ANSI-colors-in-ansi-color.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_kspjjv560>
X-Attachment-Id: f_kspjjv560
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--00000000000073295805ca463576
Content-Type: application/octet-stream; 
	name="0002-Add-support-for-bright-ANSI-colors-in-term-mode.patch"
Content-Disposition: attachment; 
	filename="0002-Add-support-for-bright-ANSI-colors-in-term-mode.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_kspjjv5b1>
X-Attachment-Id: f_kspjjv5b1
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--00000000000073295805ca463576--




Acknowledgement sent to Jim Porter <jporterbugs@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#50179; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 21 Sep 2021 16:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.